All of lore.kernel.org
 help / color / mirror / Atom feed
From: Gavin Hu <gavin.hu@arm.com>
To: dev@dpdk.org
Cc: nd@arm.com, gavin.hu@arm.com, stable@dpdk.org
Subject: [PATCH v14 4/6] devtools: fix the missing ninja command error
Date: Sat, 30 Jun 2018 01:27:36 +0800	[thread overview]
Message-ID: <20180629172738.2121-5-gavin.hu@arm.com> (raw)
In-Reply-To: <20180629172738.2121-1-gavin.hu@arm.com>

On some linux distributions, eg: CentOS, the ninja executable has a
different name: ninja-build, this patch is to check and adapt to it
accordingly.

./devtools/test-meson-builds.sh: line 24: ninja: command not found

Fixes: a55277a788 ("devtools: add test script for meson builds")
Cc: stable@dpdk.org

Signed-off-by: Gavin Hu <gavin.hu@arm.com>
Reviewed-by: Phil Yang <phil.yang@arm.com>
Reviewed-by: Song Zhu <song.zhu@arm.com>
Acked-by: Bruce Richardson <bruce.richardson@intel.com>
---
 devtools/test-meson-builds.sh | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index f2ad05f32..9bb5b93bd 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -10,6 +10,15 @@
 srcdir=$(dirname $(readlink -m $0))/..
 MESON=${MESON:-meson}
 
+if command -v ninja >/dev/null 2>&1 ; then
+    ninja_cmd=ninja
+elif command -v ninja-build >/dev/null 2>&1 ; then
+    ninja_cmd=ninja-build
+else
+    echo "## ERROR: ninja is missing, please install..."
+    exit 1
+fi
+
 build () # <directory> <meson options>
 {
 	builddir=$1
@@ -20,8 +29,8 @@ build () # <directory> <meson options>
 		$MESON $options $srcdir $builddir
 		unset CC
 	fi
-	echo "ninja -C $builddir"
-	ninja -C $builddir
+	echo "$ninja_cmd -C $builddir"
+	$ninja_cmd -C $builddir
 }
 
 # shared and static linked builds with gcc and clang
-- 
2.11.0

  parent reply	other threads:[~2018-06-29 17:27 UTC|newest]

Thread overview: 84+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
     [not found] <20180614095127.16245-1-git-send-email-gavin.hu@arm.com>
2018-06-15  7:08 ` [PATCH v7 0/7] fix the cross compiling errors Gavin Hu
2018-06-15  7:08   ` [PATCH v7 1/7] mk: fix cross build errors Gavin Hu
2018-06-15  7:08   ` [PATCH v7 2/7] doc: add a guide doc for cross compiling from x86 Gavin Hu
2018-06-15  7:08   ` [PATCH v7 3/7] devtools: fix the Exec format error Gavin Hu
2018-06-15  7:08   ` [PATCH v7 4/7] build: fix the meson build warning Gavin Hu
2018-06-15  7:08   ` [PATCH v7 5/7] devtools: fix the missing ninja command error on CentOS Gavin Hu
2018-06-15  7:08   ` [PATCH v7 6/7] build: fix the meson cross compile error Gavin Hu
2018-06-15  7:08   ` [PATCH v7 7/7] devtools: expand meson cross compiling coverage Gavin Hu
2018-06-15  8:01   ` [PATCH v8 0/6] Fix the cross compiling errors Gavin Hu
2018-06-15  8:01     ` [PATCH v8 1/6] mk: fix cross build errors Gavin Hu
2018-06-15  8:01     ` [PATCH v8 2/6] doc: add a guide doc for cross compiling from x86 Gavin Hu
2018-06-15  8:01     ` [PATCH v8 3/6] build: fix the meson build warning Gavin Hu
2018-06-15  8:01     ` [PATCH v8 4/6] devtools: fix the missing ninja command error on CentOS Gavin Hu
2018-06-15  8:24       ` Bruce Richardson
2018-06-15  8:01     ` [PATCH v8 5/6] build: fix the meson cross compile error Gavin Hu
2018-06-15  8:01     ` [PATCH v8 6/6] devtools: expand meson cross compiling coverage Gavin Hu
2018-06-15  8:28       ` Bruce Richardson
2018-06-15  9:31         ` Gavin Hu
2018-06-15  9:25     ` [PATCH v9 0/6] Fix the cross compiling errors Gavin Hu
2018-06-15  9:26       ` [PATCH v9 1/6] mk: fix makefile based cross build errors Gavin Hu
2018-06-15  9:26       ` [PATCH v9 2/6] doc: add a guide doc for cross compiling from x86 Gavin Hu
2018-06-15  9:26       ` [PATCH v9 3/6] build: fix the meson build warning Gavin Hu
2018-06-15  9:26       ` [PATCH v9 4/6] devtools: fix the missing ninja command error Gavin Hu
2018-06-15  9:59         ` Bruce Richardson
2018-06-15  9:26       ` [PATCH v9 5/6] build: fix the meson cross compile error Gavin Hu
2018-06-15  9:26       ` [PATCH v9 6/6] devtools: expand meson cross compiling test coverage Gavin Hu
2018-06-15 10:01         ` Bruce Richardson
2018-06-15 10:21       ` [PATCH v10 0/6] Fix the cross compiling errors Gavin Hu
2018-06-15 10:21         ` [PATCH v10 1/6] mk: fix makefile based cross build errors Gavin Hu
2018-06-15 10:21         ` [PATCH v10 2/6] doc: add a guide doc for cross compiling from x86 Gavin Hu
2018-06-15 10:21         ` [PATCH v10 3/6] build: fix the meson build warning Gavin Hu
2018-06-15 10:21         ` [PATCH v10 4/6] devtools: fix the missing ninja command error Gavin Hu
2018-06-15 13:27           ` Bruce Richardson
2018-06-15 10:21         ` [PATCH v10 5/6] build: fix the meson cross compile error Gavin Hu
2018-06-15 10:21         ` [PATCH v10 6/6] devtools: expand meson cross compiling test coverage Gavin Hu
2018-06-15 14:14           ` Bruce Richardson
2018-06-19  1:44             ` Gavin Hu
2018-06-19  1:37         ` [PATCH v11 0/6] Fix the cross compiling errors Gavin Hu
2018-06-19  1:37           ` [PATCH v11 1/6] mk: fix makefile based cross build errors Gavin Hu
2018-06-19  1:37           ` [PATCH v11 2/6] doc: add a guide doc for cross compiling from x86 Gavin Hu
2018-06-19  1:37           ` [PATCH v11 3/6] build: fix the meson build warning Gavin Hu
2018-06-19  1:37           ` [PATCH v11 4/6] devtools: fix the missing ninja command error Gavin Hu
2018-06-19 10:12             ` Bruce Richardson
2018-06-19 10:41               ` Gavin Hu
2018-06-19 12:30                 ` Bruce Richardson
2018-06-19 23:58                   ` Gavin Hu
2018-06-19  1:37           ` [PATCH v11 5/6] build: fix the meson cross compile error Gavin Hu
2018-06-19  1:37           ` [PATCH v11 6/6] devtools: expand meson cross compiling test coverage Gavin Hu
2018-06-19 10:14             ` Bruce Richardson
2018-06-19 10:15             ` Bruce Richardson
2018-06-19 10:36           ` [PATCH v12 0/6] Fix the cross compiling errors Gavin Hu
2018-06-19 10:36             ` [PATCH v12 1/6] mk: fix makefile based cross build errors Gavin Hu
2018-06-19 10:36             ` [PATCH v12 2/6] doc: add a guide doc for cross compiling from x86 Gavin Hu
2018-06-24 11:43               ` Jerin Jacob
2018-06-19 10:36             ` [PATCH v12 3/6] build: fix the meson build warning Gavin Hu
2018-06-24 11:05               ` Jerin Jacob
2018-06-19 10:36             ` [PATCH v12 4/6] devtools: fix the missing ninja command error Gavin Hu
2018-06-19 10:36             ` [PATCH v12 5/6] build: fix the meson cross compile error Gavin Hu
2018-06-19 10:36             ` [PATCH v12 6/6] devtools: expand meson cross compiling test coverage Gavin Hu
2018-06-19 12:31               ` Bruce Richardson
2018-06-25  2:49             ` [PATCH v13 0/6] Fix the cross compiling errors Gavin Hu
2018-06-25  2:49               ` [PATCH v13 1/6] mk: fix makefile based cross build errors Gavin Hu
2018-06-25 16:10                 ` Ali Alnubani
2018-06-27 21:00                 ` [dpdk-stable] " Thomas Monjalon
2018-06-25  2:49               ` [PATCH v13 2/6] doc: add a guide doc for cross compiling from x86 Gavin Hu
2018-06-27 14:25                 ` Ali Alnubani
2018-06-29 17:30                   ` Gavin Hu
2018-06-25  2:49               ` [PATCH v13 3/6] build: fix the meson build warning Gavin Hu
2018-06-25 16:11                 ` Ali Alnubani
2018-06-25  2:49               ` [PATCH v13 4/6] devtools: fix the missing ninja command error Gavin Hu
2018-06-27 21:13                 ` [dpdk-stable] " Thomas Monjalon
2018-06-25  2:49               ` [PATCH v13 5/6] build: fix the meson cross compile error Gavin Hu
2018-06-25  2:49               ` [PATCH v13 6/6] devtools: expand meson cross compiling test coverage Gavin Hu
2018-06-27 21:25                 ` [dpdk-stable] " Thomas Monjalon
2018-06-29 17:29                   ` Gavin Hu
2018-06-29 17:27               ` [PATCH v14 0/6] Fix the cross compiling errors Gavin Hu
2018-06-29 17:27                 ` [PATCH v14 1/6] mk: fix makefile based cross build errors Gavin Hu
2018-06-29 17:27                 ` [PATCH v14 2/6] doc: add a guide doc for cross compiling from x86 Gavin Hu
2018-06-29 17:27                 ` [PATCH v14 3/6] build: fix the meson build warning Gavin Hu
2018-06-29 17:27                 ` Gavin Hu [this message]
2018-06-29 17:27                 ` [PATCH v14 5/6] build: fix the meson cross compile error Gavin Hu
2018-06-29 17:27                 ` [PATCH v14 6/6] devtools: expand meson cross compiling test coverage Gavin Hu
2018-07-11 17:46                   ` [dpdk-stable] " Thomas Monjalon
2018-07-11 19:16                 ` [PATCH v14 0/6] Fix the cross compiling errors Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20180629172738.2121-5-gavin.hu@arm.com \
    --to=gavin.hu@arm.com \
    --cc=dev@dpdk.org \
    --cc=nd@arm.com \
    --cc=stable@dpdk.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.